#
# spec file for package libucl1
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libucl1
Version:        1.03
Release:        16.1
Summary:        The UCL Compression Library
License:        GPL-2.0+
Group:          System/Libraries
Url:            http://www.oberhumer.com/opensource/ucl/
Source0:        http://www.oberhumer.com/opensource/ucl/download/ucl-%{version}.tar.gz
Source1:        %{name}.changes
Obsoletes:      ucl < %{version}
Provides:       ucl = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains portable lossless data compression library
written in ANSI C. UCL implements a number of compression algorithms
that achieve an excellent compression ratio while allowing *very* fast
decompression. Decompression requires no additional memory. UCL is
OpenSource reimplementation of some NRV compression algorithms.

%package devel
Summary:        Development Files For UCL Library
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Headers and other development files for UCL library.

%prep
%setup -q -n ucl-%{version}
# remove _DATE_ and _TIME_ macros
modified="$(sed -n '/^----/n;s/ - .*$//;p;q' "%{SOURCE1}")"
DATE="\"$(date -d "${modified}" "+%%b %%e %%Y")\""
TIME="\"$(date -d "${modified}" "+%%R")\""
find .  -name '*.[ch]' |\
    xargs sed -i "s/__DATE__/${DATE}/g;s/__TIME__/${TIME}/g"

%build
%configure \
	--disable-static \
	--enable-shared \
	--with-pic
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%check
make %{?_smp_mflags} check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/libucl.so.*
%doc COPYING NEWS README THANKS TODO

%files devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/ucl
%{_libdir}/libucl.so

%changelog
* Sat Mar  7 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec file with spec-cleaner
- Do not include buildtime
* Thu Mar 22 2012 cfarrell@suse.com
- license update: GPL-2.0+
  No evidence of GPL-2.0 (i.e. only) files in the package
* Tue Feb  3 2009 crrodriguez@suse.de
- remove "la" files
- fix devel package deps
* Mon Jan 26 2009 pgajdos@suse.cz
- package renamed to libucl1
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug 10 2004 tcrhak@suse.cz
- update to 1.03
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Mon Jan 14 2002 rvasice@suse.cz
- update to version 1.01
- use %%{_libdir}
- fixed URL in spec file
* Tue Jun 19 2001 rvasice@suse.cz
- fixed configure params
* Thu Jun 14 2001 rvasice@suse.cz
- initial package release (version 0.92)
